##
##  unison.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         unison
Summary:      File Synchronizer
URL:          http://www.cis.upenn.edu/~bcpierce/unison/
Vendor:       Benjamin Pierce et al
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Network
License:      GPL
Version:      2.9.1
Release:      20020504

#   list of sources
Source0:      http://www.cis.upenn.edu/~bcpierce/unison/download/stable/unison-%{version}/src.tar.gz
Source1:      http://www.cis.upenn.edu/~bcpierce/unison/manual-beta.html

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, ocaml, make
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    Unison is a file-synchronization tool. It allows two replicas of a
    collection of files and directories to be stored on different hosts
    (or different disks on the same host), modified separately, and then
    brought up to date by propagating the changes in each replica to the
    other.

%prep
    %setup -q

%build
    %{l_make} %{l_mflags -O} \
        UISTYLE=text NATIVE=true THREADS=false DEBUGGING=false

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
	    $RPM_BUILD_ROOT%{l_prefix}/bin \
	    $RPM_BUILD_ROOT%{l_prefix}/share/unison
    %{l_shtool} install -c -s -m 755 \
	    unison $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
	    %{SOURCE manual-beta.html} \
        $RPM_BUILD_ROOT%{l_prefix}/share/unison/unison.html
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

